%define		pkg	graceful-fs
Summary:	'fs' module with incremental back-off on EMFILE
Name:		nodejs-%{pkg}
Version:	1.2.0
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/node-graceful-fs
Source0:	http://registry.npmjs.org/graceful-fs/-/%{pkg}-%{version}.tgz
# Source0-md5:	2108e283f1d0813302c8536418803ef6
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Just like node.js' fs module, but it does an incremental back-off when
EMFILE is encountered. Useful in asynchronous situations where one
needs to try to open lots and lots of files.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -p %{pkg}.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-graceful-fs.git;a=log;h=master

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> e166cb1
v1.2.0

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> c0e55f1
- adapter

* Thu Jun 14 2012 Elan Ruusamäe <glen@pld-linux.org> 0eac540
- up to 1.1.8

* Wed Jan 25 2012 Elan Ruusamäe <glen@pld-linux.org> 883124c
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo

